package cn.com.countrygarden.bi.main.util;

import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;
import cn.com.countrygarden.bi.main.util.entity.Audit;

import java.util.Date;

/**
 * <pre>
 *  设置审计字段
 * </pre>
 *
 * @author ferren  liao-r@neusoft.com
 * @version 1.00.00
 * <p>
 * <p>
 * <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public class AuditUtil {
    /**
     * 设置审计字段
     *
     * @param isCreate
     * @param dto
     * @param date
     */
    public static void setAuditProperty(TbSysUser currentSysUser, boolean isCreate, Audit dto, Date date) {
        String userCode = currentSysUser.getUserCode();
        String userName = currentSysUser.getUserName();
        if (isCreate) {
            dto.setCreateBy(userCode);
            dto.setCreateByName(userName);
            dto.setCreateTime(date);
        } else {
            dto.setModBy(userCode);
            dto.setModByName(userName);
            dto.setModTime(date);
        }

    }
}
